{
//=========Macro generated from canvas: cChi2b/chi2b
//=========  (Wed Dec 26 21:48:19 2018) by ROOT version5.34/30
   TCanvas *cChi2b = new TCanvas("cChi2b", "chi2b",0,45,800,700);
   gStyle->SetOptStat(0);
   gStyle->SetOptTitle(0);
   cChi2b->Range(-6.643836,-13.73077,7.054795,100.6923);
   cChi2b->SetFillColor(0);
   cChi2b->SetBorderMode(0);
   cChi2b->SetBorderSize(2);
   cChi2b->SetTickx(1);
   cChi2b->SetTicky(1);
   cChi2b->SetLeftMargin(0.12);
   cChi2b->SetRightMargin(0.15);
   cChi2b->SetBottomMargin(0.12);
   cChi2b->SetFrameBorderMode(0);
   cChi2b->SetFrameBorderMode(0);
   
   TH1F *chi2b = new TH1F("chi2b","chi2b",50,-5,5);
   chi2b->SetBinContent(7,1);
   chi2b->SetBinContent(8,3);
   chi2b->SetBinContent(9,1);
   chi2b->SetBinContent(11,4);
   chi2b->SetBinContent(12,9);
   chi2b->SetBinContent(13,6);
   chi2b->SetBinContent(14,4);
   chi2b->SetBinContent(15,16);
   chi2b->SetBinContent(16,14);
   chi2b->SetBinContent(17,26);
   chi2b->SetBinContent(18,30);
   chi2b->SetBinContent(19,37);
   chi2b->SetBinContent(20,53);
   chi2b->SetBinContent(21,35);
   chi2b->SetBinContent(22,57);
   chi2b->SetBinContent(23,60);
   chi2b->SetBinContent(24,72);
   chi2b->SetBinContent(25,85);
   chi2b->SetBinContent(26,84);
   chi2b->SetBinContent(27,78);
   chi2b->SetBinContent(28,68);
   chi2b->SetBinContent(29,71);
   chi2b->SetBinContent(30,43);
   chi2b->SetBinContent(31,45);
   chi2b->SetBinContent(32,40);
   chi2b->SetBinContent(33,25);
   chi2b->SetBinContent(34,19);
   chi2b->SetBinContent(35,17);
   chi2b->SetBinContent(36,10);
   chi2b->SetBinContent(37,6);
   chi2b->SetBinContent(38,3);
   chi2b->SetBinContent(40,1);
   chi2b->SetBinContent(43,1);
   chi2b->SetEntries(1024);
   chi2b->SetStats(0);
   
   TF1 *gaus = new TF1("gaus","gaus",-5,5);
   gaus->SetFillColor(19);
   gaus->SetFillStyle(0);
   gaus->SetLineColor(2);
   gaus->SetLineWidth(2);
   gaus->SetChisquare(35.48283);
   gaus->SetNDF(30);
   gaus->GetXaxis()->SetLabelFont(42);
   gaus->GetXaxis()->SetLabelSize(0.05);
   gaus->GetXaxis()->SetTitleSize(0.06);
   gaus->GetXaxis()->SetTitleFont(42);
   gaus->GetYaxis()->SetLabelFont(42);
   gaus->GetYaxis()->SetLabelSize(0.05);
   gaus->GetYaxis()->SetTitleSize(0.06);
   gaus->GetYaxis()->SetTitleFont(42);
   gaus->SetParameter(0,75.1688);
   gaus->SetParError(0,3.042622);
   gaus->SetParLimits(0,0,0);
   gaus->SetParameter(1,-0.009730873);
   gaus->SetParError(1,0.03469623);
   gaus->SetParLimits(1,0,0);
   gaus->SetParameter(2,1.055439);
   gaus->SetParError(2,0.02753279);
   gaus->SetParLimits(2,0,10.77663);
   chi2b->GetListOfFunctions()->Add(gaus);

   Int_t ci;      // for color index setting
   TColor *color; // for color definition with alpha
   ci = TColor::GetColor("#000099");
   chi2b->SetLineColor(ci);
   chi2b->GetXaxis()->SetTitle("Normalised residuals");
   chi2b->GetXaxis()->CenterTitle(true);
   chi2b->GetXaxis()->SetLabelFont(132);
   chi2b->GetXaxis()->SetLabelSize(0.05);
   chi2b->GetXaxis()->SetTitleSize(0.05);
   chi2b->GetXaxis()->SetTitleOffset(1.08);
   chi2b->GetXaxis()->SetTitleFont(132);
   chi2b->GetYaxis()->SetTitle("Entries/0.2");
   chi2b->GetYaxis()->SetLabelFont(132);
   chi2b->GetYaxis()->SetLabelSize(0.05);
   chi2b->GetYaxis()->SetTitleSize(0.05);
   chi2b->GetYaxis()->SetTitleOffset(1.1);
   chi2b->GetYaxis()->SetTitleFont(132);
   chi2b->GetZaxis()->SetLabelFont(42);
   chi2b->GetZaxis()->SetLabelSize(0.05);
   chi2b->GetZaxis()->SetTitleSize(0.06);
   chi2b->GetZaxis()->SetTitleFont(42);
   chi2b->Draw("");
   TLatex *   tex = new TLatex(0.65,0.8,"LHCb");
tex->SetNDC();
   tex->SetTextFont(132);
   tex->SetTextSize(0.06);
   tex->SetLineWidth(2);
   tex->Draw();
   cChi2b->Modified();
   cChi2b->cd();
   cChi2b->SetSelected(cChi2b);
}
